loci.formats.in

## Class SlideBook7Reader.CImageRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CImageRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CImageRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Long` | `mAnnotationTablePtr`
    `java.lang.Long` | `mAuxDataTablePtr`
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Long` | `mChannelPtr`
    `java.lang.Integer` | `mDay`
    `java.lang.Integer` | `mElapsedTimeOffset`
    `java.lang.Long` | `mElapsedTimeTablePtr`
    `java.lang.Integer` | `mHeight`
    `java.lang.Integer` | `mHour`
    `java.lang.Integer` | `mImageGroupIndex`
    `java.lang.Boolean` | `mImported`
    `java.lang.String` | `mInfo`
    `(package private) SlideBook7Reader.CLensDef70` | `mLensDef`
    `(package private) SlideBook7Reader.CMainViewRecord70` | `mMainViewRecord`
    `java.lang.Long` | `mMaskPtr`
    `java.lang.Integer` | `mMinute`
    `java.lang.Integer` | `mMonth`
    `java.lang.String` | `mName`
    `java.lang.Integer` | `mNotesLen`
    `java.lang.Long` | `mNotesPtr`
    `java.lang.Integer` | `mNumAuxDataTables`
    `java.lang.Integer` | `mNumChannels`
    `java.lang.Integer` | `mNumMasks`
    `java.lang.Integer` | `mNumPlanes`
    `java.lang.Integer` | `mNumTimepoints`
    `java.lang.Integer` | `mNumViews`
    `(package private) SlideBook7Reader.COptovarDef70` | `mOptovarDef`
    `java.lang.Long` | `mSAPositionTablePtr`
    `java.lang.Integer` | `mSecond`
    `java.lang.Long` | `mStagePositionTablePtr`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`
    `java.lang.Long[]` | `mThumbNail`
    `java.lang.String` | `mUniqueId`
    `java.lang.Long` | `mViewPtr`
    `java.lang.Integer` | `mWidth`
    `java.lang.Integer` | `mXYInterpolationFactor`
    `java.lang.Integer` | `mYear`
    `java.lang.Integer` | `mZInterpolationFactor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CImageRecord70()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `Decode(org.yaml.snakeyaml.nodes.MappingNode inNode)`

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mYear

          public java.lang.Integer mYear

    - #### mMonth

          public java.lang.Integer mMonth

    - #### mDay

          public java.lang.Integer mDay

    - #### mHour

          public java.lang.Integer mHour

    - #### mMinute

          public java.lang.Integer mMinute

    - #### mSecond

          public java.lang.Integer mSecond

    - #### mImported

          public java.lang.Boolean mImported

    - #### mNotesLen

          public java.lang.Integer mNotesLen

    - #### mNotesPtr

          public java.lang.Long mNotesPtr

    - #### mWidth

          public java.lang.Integer mWidth

    - #### mHeight

          public java.lang.Integer mHeight

    - #### mNumPlanes

          public java.lang.Integer mNumPlanes

    - #### mNumChannels

          public java.lang.Integer mNumChannels

    - #### mChannelPtr

          public java.lang.Long mChannelPtr

    - #### mNumTimepoints

          public java.lang.Integer mNumTimepoints

    - #### mNumMasks

          public java.lang.Integer mNumMasks

    - #### mMaskPtr

          public java.lang.Long mMaskPtr

    - #### mNumViews

          public java.lang.Integer mNumViews

    - #### mViewPtr

          public java.lang.Long mViewPtr

    - #### mXYInterpolationFactor

          public java.lang.Integer mXYInterpolationFactor

    - #### mZInterpolationFactor

          public java.lang.Integer mZInterpolationFactor

    - #### mImageGroupIndex

          public java.lang.Integer mImageGroupIndex

    - #### mAnnotationTablePtr

          public java.lang.Long mAnnotationTablePtr

    - #### mElapsedTimeTablePtr

          public java.lang.Long mElapsedTimeTablePtr

    - #### mSAPositionTablePtr

          public java.lang.Long mSAPositionTablePtr

    - #### mStagePositionTablePtr

          public java.lang.Long mStagePositionTablePtr

    - #### mAuxDataTablePtr

          public java.lang.Long mAuxDataTablePtr

    - #### mNumAuxDataTables

          public java.lang.Integer mNumAuxDataTables

    - #### mThumbNail

          public java.lang.Long[] mThumbNail

    - #### mElapsedTimeOffset

          public java.lang.Integer mElapsedTimeOffset

    - #### mName

          public java.lang.String mName

    - #### mInfo

          public java.lang.String mInfo

    - #### mUniqueId

          public java.lang.String mUniqueId

    - #### mLensDef

          SlideBook7Reader.CLensDef70 mLensDef

    - #### mMainViewRecord

          SlideBook7Reader.CMainViewRecord70 mMainViewRecord

    - #### mOptovarDef

          SlideBook7Reader.COptovarDef70 mOptovarDef

  - ### Constructor Detail

    - #### CImageRecord70

          CImageRecord70()

  - ### Method Detail

    - #### Decode

          public int Decode(org.yaml.snakeyaml.nodes.MappingNode inNode)

      Overrides:
        `Decode` in class `SlideBook7Reader.ClassDecoder`

Copyright © 2026 Open Microscopy Environment